E-MailRelay

Public Member Functions | List of all members
GPop::ServerProtocolText Class Reference

A default implementation for the ServerProtocol::Text interface. More...

`#include <gpopserverprotocol.h>`

Inheritance diagram for GPop::ServerProtocolText:

## Public Member Functions
| ServerProtocolText (const GNet::Address &peer)
| Constructor. More...
| ServerProtocolText (const ServerProtocolText &)=delete
| ServerProtocolText (ServerProtocolText &&)=delete
void | operator= (const ServerProtocolText &)=delete
void | operator= (ServerProtocolText &&)=delete
virtual std::string | greeting () const =0
virtual std::string | quit () const =0
virtual std::string | capa () const =0
virtual std::string | user (const std::string &id) const =0

## Detailed Description

A default implementation for the ServerProtocol::Text interface.

Definition at line 214 of file gpopserverprotocol.h.

## Constructor & Destructor Documentation

## ◆ ServerProtocolText()

GPop::ServerProtocolText::ServerProtocolText | ( | const GNet::Address & | peer | ) |
| explicit

Constructor.

Definition at line 654 of file gpopserverprotocol.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserverprotocol.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserverprotocol.cpp